gfbgraph-0.2.3

Introduction to gfbgraph

The gfbgraph package contains a GObject wrapper for the Facebook Graph API.

This package is known to build and work properly using an LFS-8.2 platform.

Package Information

gfbgraph Dependencies

Required

gnome-online-accounts-3.28.0 and rest-0.8.1

Recommended

Optional

GTK-Doc-1.28

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gfbgraph

Installation of gfbgraph

Install gfbgraph by running the following commands:

./configure --prefix=/usr --disable-static &&
make

This package does not have a working testsuite.

Now, as the root user:

make libgfbgraphdocdir=/usr/share/doc/gfbgraph-0.2.3 install

Command Explanations

--disable-static: This switch prevents installation of static versions of the libraries.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Programs: None
Installed Libraries: libgfbgraph-0.2.so
Installed Directories: /usr/include/gfbgraph-0.2, /usr/share/doc/gfbgraph-0.2.3, and /usr/share/gtk-doc/html/gfbgraph

Short Descriptions

libgfbgraph-0.2.so

is a GObject wrapper for the Facebook Graph API.

Last updated on 2018-02-28 06:00:24 -0600